Files
Process the import job for sponsorship relationships
POST
/
csv_process
/
{program_id}
/
relationships
Process the import job for sponsorship relationships
curl --request POST \
--url https://api.helpyousponsor.com/v1/csv_process/{program_id}/relationships \
--header 'Content-Type: application/json' \
--header 'X-HYS-API-Key: <api-key>' \
--data '
{
"client_id": 1,
"user_id": 1,
"program_id": 1
}
'import requests
url = "https://api.helpyousponsor.com/v1/csv_process/{program_id}/relationships"
payload = {
"client_id": 1,
"user_id": 1,
"program_id": 1
}
headers = {
"X-HYS-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-HYS-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({client_id: 1, user_id: 1, program_id: 1})
};
fetch('https://api.helpyousponsor.com/v1/csv_process/{program_id}/relationships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Your import has been queued. You will receive an email when the job has finished."
}Authorizations
API key generated from Developer Settings. Format: hys_...
Path Parameters
ID of the program
Body
application/json
Response
Successful operation
Example:
"Your import has been queued. You will receive an email when the job has finished."
⌘I
Process the import job for sponsorship relationships

